# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-blop
Summary:		Bandlimited LADSPA Oscillator Plugins
Version:		0.2.8
Release:		0.pm.2.3
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			blop-%{version}.tar.bz2
Patch:			ladspa-blop-automake-fix.diff
URL:			http://blop.sourceforge.net/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
BLOP comprises a set of LADSPA plugins that generate bandlimited
sawtooth, square, variable pulse and slope-variable triangle waves,
for use in LADSPA hosts, principally for use with one of the many
modular software synthesisers available.

They are wavetable based, and are designed to produce output with
harmonic content as high as possible over a wide pitch range.


%lang_package

%prep
%setup -q -n blop-%{version}
#%patch
/bin/cat /usr/src/packages/SOURCES/ladspa-blop-automake-fix.diff | /usr/bin/patch -s -p0
%{?suse_update_config:%{suse_update_config -f}}
autoreconf --install --force

%build
export SUSE_ASNEEDED=0
%configure \
	--prefix=%{_prefix} \
	--with-ladspa-plugin-dir=%{_libdir}/%{name}
%__make %{?jobs:-j%{jobs}}

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%makeinstall \
	ladspa_plugin_dir="%{_libdir}/ladspa"

%find_lang blop

%__install -dm 755 %{buildroot}%{_datadir}/ladspa/rdf
%__install -m0644 doc/blop.rdf \
	%{buildroot}%{_datadir}/ladspa/rdf

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS TODO
%doc doc/*.txt
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*.so
%{_libdir}/ladspa/blop_files
%dir %{_datadir}/ladspa
%dir %{_datadir}/ladspa/rdf
%{_datadir}/ladspa/rdf/*.rdf

%files lang -f blop.lang

%changelog
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.2.8-0.pm.1
- splitt-off from ladspa package
